# Page Not Found

The URL `language/hoon/reference/rune` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Runes](https://docs.urbit.org/hoon/rune.md)
- [Structures](https://docs.urbit.org/hoon/lagoon/structure.md)
- [Building a CLI App](https://docs.urbit.org/build-on-urbit/userspace/examples/rpn.md)
- [16. Functional Programming](https://docs.urbit.org/build-on-urbit/hoon-school/q-func.md)
- [% cen · Calls](https://docs.urbit.org/hoon/rune/cen.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.urbit.org/hoon/rune.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.urbit.org/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.urbit.org/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/hoon/rune.md`).

You may also use `Accept: text/markdown` header for content negotiation.
